!  calculate the volume of each new cell in which the velocity distributions are calculated 
!  Created by Yan Wang on 2/28/2015

program main
     implicit none
     
     integer, parameter:: num=100,nc=101,dt=90,nstep=15
     real(8) A0,GLL0,Re,GLL(num+1),dx,cc,dd,por
     integer LNBLNK,nst,i,j,n2,h
     CHARACTER*256 :: WORKDIR
     CHARACTER suff*6
     real(8),dimension(nc):: rr,GLL_grid,alt_grid,sg,area,c_vol,gm,bfd,mirrf,Tco,Tch,Tche
     real(8) :: cf(nc,2),pi,L(nstep),L_eqe,sg_vdistr(num),sgmin,sgmax,ds,sgn_grid(num+1)
     real(8) temp,x1,x2,y1,z1,sxh,sg_test,x0,y0,z0,rrx,cvol_vdistr(num)
     real(8) sinx,sinx2,cosx,cosx2,volfunc1,volfunc2,xx1,sum1,sum2

     data pi/3.1415926/,Re/6371.2/,cc/0.288675134595d0/,dd/1.732050808d0/,por/0.33333333333333d0/
    
! Get WORKDIR of current working directory
     CALL GETCWD(WORKDIR)
     nst=1170
     write(suff,'(i6)') nst
     suff=adjustl(suff)

 !    open(205,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/gskgrid-1.dat',status='old')
     
     OPEN(205,FILE=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/gskgrid-'//trim(suff)//'.dat', &
                    status='old')
     READ(205,'(A)')
   !       '#','r(Re)','mlat','alt(km)','arc len(Re)','area(m^-2)', &
   !      'vol(m^-3)','g(Re/s^2)','Bfeild(T)','mirrf','cf1','cf2','Tco','Tch','Tche'
   ! Tco, Tch, & Tche are O+, H+, & He+ gyroperiod (sec)
      do i=1,nc
            read(205,'(i3,14es13.5)') h,rr(i),GLL_grid(i),alt_grid(i),sg(i),area(i),c_vol(i),gm(i), &
                                      bfd(i),mirrf(i),cf(i,1),cf(i,2),Tco(i),Tch(i),Tche(i)
      enddo
      close(205)         

      GLL0=GLL_grid(1)*pi/180.0     !  geomagnetic latitued at 800 km in unit of rad
      A0=area(1)           ! cross-sectional area at 800 km

     OPEN(206,FILE='L_time_forward.dat', status='old')                       
     do i=1,nstep
          read(206,*) j,L(i)
     enddo
     CLOSE(206)    

     i=int(real(nst)/90.0+1.0)
     L_eqe=L(i)

     OPEN(207,FILE=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/OVSS'//trim(suff)//'.dat', &
                    status='old')     
     do i=1,num
          read(207,*) sg_vdistr(i)
     enddo
     CLOSE(207)

     sg_vdistr(1:num)=sg_vdistr(1:num)/Re

     sgmin=sg_vdistr(1)
     sgmax=sg_vdistr(num)
     ds=(sgmax-sgmin)/(num-1)
  !   print *,'sgmin,ds=',sgmin,ds
     !  arc length for the new divided grid when calculating the vdistr
     do i=1,num+1
          sgn_grid(i)=sgmin+(i-1.5)*ds
     enddo

     n2=num/2+1
     GLL(1:num+1)=0.0
     GLL(1)=GLL0            ! mlat at h=800 km in north hemisphere
     GLL(n2)=0.0d0          ! mlat at magnetic equator

     dx=GLL(1)/19999

     do j=2,n2-1
          do i=1,20000         
               temp=dx*(i-1)
               x1=sin(temp)
               x2=x1*x1
               y1=cos(temp)
               z1=sqrt(1.d0+3.d0*x2)
               sxh=dd*x1+z1
               sg_test=-L_eqe*(x1*z1/2.d0+cc*log(sxh))   
               if  (abs(sgn_grid(j)-sg_test)<5.0e-4) then
                    GLL(j)=temp
                    exit
              endif
          enddo
     enddo    
      
     ! solve volume  (m^3)
    x0=sin(GLL(1))
    y0=cos(GLL(1))
    z0=sqrt(1.d0+3.d0*x0*x0)

  !  print *, 'GLL(1)=',GLL(1)

    rrx=1.0+800.0/Re   !  radial distance at h=800km in Re
    cvol_vdistr(1:num)=0.0d0
    
    do j=1,n2-1
         sinx=sin(GLL(j))
         sinx2=sinx**2
         cosx=cos(GLL(j))
         cosx2=cosx**2
         volfunc1=sinx*(cosx2**2*(cosx2+1.2)+4.8-1.6*sinx2)  

         sinx=sin(GLL(j+1))
         sinx2=sinx**2
         cosx=cos(GLL(j+1))
         cosx2=cosx**2
         volfunc2=sinx*(cosx2**2*(cosx2+1.2)+4.8-1.6*sinx2)  
              
         cvol_vdistr(j)=volfunc1-volfunc2
         cvol_vdistr(num-j+1)=cvol_vdistr(j)
     enddo
     xx1=A0*Re*L_eqe**4/rrx**3*z0/7.0d0

     cvol_vdistr(1:num)=cvol_vdistr(1:num)*xx1*1.0e3;   ! in m^3      
     
     sum1=0.0d0
     sum2=0.0d0
     do i=1,nc
          sum1=sum1+c_vol(i)
     enddo

     do i=1,num
          sum2=sum2+cvol_vdistr(i)
     enddo

     print *, 'vol_grid=',sum1
     print *, 'vol_vdis=',sum2
     print *, 'vol_diff=',sum2-sum1
     print *, 'area=',A0
     print *, 'L=',L_eqe

     OPEN(208,FILE=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/cvol_vdistr'//trim(suff)//'.dat', &
                    status='unknown')

     do i=1,num
          write(208,*) i,cvol_vdistr(i),GLL(i)*180.0/pi
     enddo
     CLOSE(208)

END program
          

     
