% without wave heating 
clear all
load EFD_GSK30.dat
load MLAT_EFD30.dat
load ALT_EFD30.dat
load sg_EFD30.dat

nc=121;
nstep=145;
UT=[0:0.5:72];
UT=UT';

sg=sg_EFD30;       %  in Re
EFD=EFD_GSK30;     %  in Tesla
MLAT=MLAT_EFD30;
ALT=ALT_EFD30;

% electric field
efield=reshape(EFD(:,1),nc,nstep);
efield=efield';
efield=efield.*1e+7;
% electric potential
poten=reshape(EFD(:,2),nc,nstep);
poten=poten';
poten=poten.*1e7;
% the sum of gravity and electric force for O+
Force_O=reshape(EFD(:,3),nc,nstep);
Force_O=Force_O';
Force_O=Force_O.*1e7;
% the sum of gravity and electric force for H+
Force_H=reshape(EFD(:,4),nc,nstep);
Force_H=Force_H';
Force_H=Force_H.*1e6;

% the sum of gravity and electric force for H+
Force_He=reshape(EFD(:,5),nc,nstep);
Force_He=Force_He';
Force_He=Force_He.*1e7;

y=efield;
subplot(1,2,1)
plot(MLAT,y(3,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,y(5,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(11,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(49,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(145,:),'-k','LineWidth',2)
hold on
legend('1 hrs','2 hrs','5 hrs','24 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('Efield (V/m)','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Ylim',[-7,7]);
text(-56,6,'(a)','FontSize',18)
text(-20.5,6,'no wave heating','FontSize',20)

% case including wave heating
clear all
load EFD_GSK40.dat
load MLAT_EFD40.dat
load ALT_EFD40.dat
load sg_EFD40.dat

nc=121;
nstep=145;
UT=[0:0.5:72];
UT=UT';

sg=sg_EFD40;       %  in Re
EFD=EFD_GSK40;     %  in Tesla
MLAT=MLAT_EFD40;
ALT=ALT_EFD40;

% electric field
efield=reshape(EFD(:,1),nc,nstep);
efield=efield';
efield=efield.*1e+7;
% electric potential
poten=reshape(EFD(:,2),nc,nstep);
poten=poten';
poten=poten.*1e7;
% the sum of gravity and electric force for O+
Force_O=reshape(EFD(:,3),nc,nstep);
Force_O=Force_O';
Force_O=Force_O.*1e7;
% the sum of gravity and electric force for H+
Force_H=reshape(EFD(:,4),nc,nstep);
Force_H=Force_H';
Force_H=Force_H.*1e6;

% the sum of gravity and electric force for H+
Force_He=reshape(EFD(:,5),nc,nstep);
Force_He=Force_He';
Force_He=Force_He.*1e7;

y=efield;
subplot(1,2,2)
plot(MLAT,y(3,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,y(5,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,y(11,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,y(49,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,y(145,:),'-k','LineWidth',2)
hold on
legend('1 hrs','2 hrs','5 hrs','24 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('Efield (V/m)','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-60,60],'XTick',[-60:20:60]);
set(gca,'YMinorTick','on','Ylim',[-7,7]);
text(-56,6,'(b)','FontSize',18)
text(-22.5,6,'with wave heating','FontSize',20)
