close all
clear all
load Den_GSK40.dat
load Den_H_He.dat

D=Den_H_He;
Den=Den_GSK40;

Re=6371.2;    % km

RR=D(:,1);    % radial distance in Re

MLAT=D(:,2);   % magnetic latitude

ALT=D(:,3);    % altitude in km

NH1=D(:,4);    % F107=176 UT=1h  in cm^-3
NHe1=D(:,5);

NH2=D(:,6);    % F107=176 UT=2h
NHe2=D(:,7);

nc=101;
nstep=49;
UT=[0:1:48];
UT=UT';



% density in cm^-3
NO=reshape(Den(:,1),nc,nstep);
NO=NO';

NH=reshape(Den(:,2),nc,nstep);
NH=NH';

NHe=reshape(Den(:,3),nc,nstep);
NHe=NHe';

Ne=reshape(Den(:,4),nc,nstep);
Ne=Ne';

num=100;
x=num/2+1;

ratio1=NHe1./NH1;

ratio2=NHe2./NH2;

ratio3=NHe./NH;

r=RR;
P=120;
P2=P^2;
z=-1.541-0.176*r+8.557e-3*P-1.458e-5*P2;
z1=10.^z;

P=176;
P2=P^2;
y=-1.541-0.176*r+8.557e-3*P-1.458e-5*P2;
z2=10.^y;

L=4.0;
yL=-0.298+1.069*L-0.315*L^2+0.035*L^3;
xGLL=MLAT+5.0;
for q=1:nc;
     x1(q)=sinh(xGLL(q)*3.1415926/120.0);
     x2(q)=x1(q)^2;
     x3(q)=x1(q)^3;
     x4(q)=x1(q)^4;
end
yGLL=0.946+0.043*x1+0.336*x2-0.169*x3+0.049*x4;
     
for q=1:nc;
      zz1(q)=z1(q)*yL*yGLL(q);
      zz2(q)=z2(q)*yL*yGLL(q);
end

plot(MLAT,ratio2,'--r','LineWidth',3)
hold on
plot(MLAT,ratio3(49,:),'--b','LineWidth',3)
hold on
plot(MLAT,ratio3(37,:),'-g','LineWidth',3)
hold on
plot(MLAT,zz1,'--k','LineWidth',3)
hold on
plot(MLAT,zz2,'-k','LineWidth',3)
xlabel('MLAT (degree)','fontsize',20)
ylabel('[He^+]/[H^+]','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'Xlim',[-60,60])
set(gca,'Yscale','log')
legend('DyFk F107=176 Day','DyFk F107=120 Day','DyFk F107=120 Night','Craven et al. F107=120','Craven et al. F107=176')
