!    This program is to plot the daily variation of the density at the magnetic equator

!    2013/5/28 by Yan Wang

Program main
    
    implicit none

    integer, parameter:: num=280,nc=281,dt=90,nstep=15
    integer nst,LNBLNK,i,j,k,h
    character suff*6
    CHARACTER*256 :: WORKDIR

    real(8) denO(nc),velO(nc),tprO(nc),tppO(nc),qprO(nc),qppO(nc)
    real(8) denH(nc),velH(nc),tprH(nc),tppH(nc),qprH(nc),qppH(nc)
    real(8) denHe(nc),velHe(nc),tprHe(nc),tppHe(nc)
    real(8) qprHe(nc),qppHe(nc),alt(nc),GLL(nc)
    real(8) dene(nc),vele(nc),tpre(nc),tppe(nc),qpre(nc),qppe(nc)
    real(8),dimension(nstep):: Neq_O,Neq_H,Neq_He,Neq_e
    real(8),dimension(nstep):: Teq_O,Teq_H,Teq_He,Teq_e
    real(8),dimension(nstep):: UO,UH,UHe,Ue
                                          

! Get WORKDIR of current working directory
    CALL GETCWD(WORKDIR)

    k=num/2
    open(101,file=WORKDIR(:LNBLNK(WORKDIR))//'/Neq_GSK_Time.dat',status='unknown') !,form='unformatted')	
    open(102,file=WORKDIR(:LNBLNK(WORKDIR))//'/Teq_GSK_Time.dat',status='unknown') !,form='unformatted')	 
 
    open(104,file=WORKDIR(:LNBLNK(WORKDIR))//'/Ueq_GSK_Time.dat',status='unknown') !,form='unformatted')	
    

   do j=1,nstep
          nst=(j-1)*dt
          write(suff,'(i6)') nst
          suff=adjustl(suff)
          open(201,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_O.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')	  
          open(202,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_H.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')
          open(203,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_He.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')
          open(204,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_e.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')

 
          do i=1,num
               read(201,'(8es14.5)') alt(i),GLL(i),denO(i),velO(i),tprO(i),tppO(i),qprO(i),qppO(i)
               read(202,'(8es14.5)') alt(i),GLL(i),denH(i),velH(i),tprH(i),tppH(i),qprH(i),qppH(i)
               read(203,'(8es14.5)') alt(i),GLL(i),denHe(i),velHe(i),tprHe(i),tppHe(i),qprHe(i),qppHe(i)
               read(204,'(8es14.5)') alt(i),GLL(i),dene(i),vele(i),tpre(i),tppe(i),qpre(i),qppe(i)
          enddo


          Neq_O(j)=0.5d0*(denO(k)+denO(k+1))
          Neq_H(j)=0.5d0*(denH(k)+denH(k+1))
          Neq_He(j)=0.5d0*(denHe(k)+denHe(k+1))
          Neq_e(j)=0.5d0*(dene(k)+dene(k+1))

          Teq_O(j)=(0.5d0*(tprO(k)+tprO(k+1))+tppO(k)+tppO(k+1))/3.0d0
          Teq_H(j)=(0.5d0*(tprH(k)+tprH(k+1))+tppH(k)+tppH(k+1))/3.0d0
          Teq_He(j)=(0.5d0*(tprHe(k)+tprHe(k+1))+tppHe(k)+tppHe(k+1))/3.0d0
          Teq_e(j)=0.5d0*(tpre(k)+tpre(k+1))

          UO(j)=0.5d0*(velO(k)+velO(k+1))
          UH(j)=0.5d0*(velH(k)+velH(k+1))
          UHe(j)=0.5d0*(velHe(k)+velHe(k+1))
          Ue(j)=0.5d0*(vele(k)+vele(k+1))
          
          close(201)
          close(202)
          close(203)
          close(204)

   enddo

!   call smoothp(Neq_O,nstep)
!   call smoothp(Neq_H,nstep)
!   call smoothp(Neq_He,nstep)
!   call smoothp(Neq_e,nstep)
   do j=1,nstep
          write(101,'(i6,4es14.5)')   j-1,Neq_O(j),Neq_H(j),Neq_He(j),Neq_e(j)
          write(102,'(i6,4es14.5)')   j-1,Teq_O(j),Teq_H(j),Teq_He(j),Teq_e(j)

          write(104,'(i6,4es14.5)')   j-1,UO(j),UH(j),UHe(j),Ue(j)
   enddo
   close(101)
   close(102)

   close(104)

End program

!-----------------------------------------------------------------------
!   Weighted 5-point average 04/30/98	X.Y.WU
!-----------------------------------------------------------------------
 subroutine smoothp(temp,n)
     implicit none
     integer n,i
     real(8) temp(n),tempt(n)

     tempt(1)=(3.0d0*temp(1)+2.0d0*temp(2)+temp(3))/6.0d0
     tempt(2)=(2.0d0*temp(1)+3.0d0*temp(2)+2.0d0*temp(3)+temp(4))/8.0d0
     do i=3,n-2
         tempt(i)=(temp(i-2)+2.0d0*temp(i-1)+3.0d0*temp(i)+2.*temp(i+1)+ &
                 temp(i+2))/9.0d0
     enddo
     tempt(n-1)=(2.0d0*temp(n)+3.0d0*temp(n-1)+2.*temp(n-2)+temp(n-3))/8.0d0
     tempt(n)=(3.0d0*temp(n)+2.*temp(n-1)+temp(n-2))/6.0d0

     do i=1,n
         temp(i)=tempt(i)
     enddo
end subroutine smoothp
   
