close all
clear all
load Neq_GSK_Time.dat
load L_time_forward.dat

D=L_time_forward;
% equatorial density in cm^-3
den=Neq_GSK_Time;

z=size(D(:,1),1);
% start from UT=1.3 h  
L=D(1:z,2);   % L shell with time interval 30 min

L=L';

nstep=15;
UT0=7.0;   % start at UT=7 h

t=[0.0:0.5:7.0];
t=t';
UT=[7.0:0.5:14.0];
UT=UT';

NO=den(:,2);
NH=den(:,3);
NHe=den(:,4);
Ne=den(:,5);

x1=NO.*1.0e4;
x2=NHe.*10;

% density varies with L^(-4)
for q=1:z;
    x3(q)=(L(1)/L(q))^4;
end
x3=x3';
x4=x3.*NO(1)*1.0e4;
x5=x3.*NH(1);
x6=x3.*NHe(1)*10;

%   figure density
plot(L(1:z),x1(1:z),'--b','LineWidth',3)
hold on
plot(L(1:z),NH(1:z),'-r','LineWidth',3)
hold on
plot(L(1:z),x2(1:z),'--g','LineWidth',3)
hold on
legend('NO^+ X 10^4','NH^+','NHe^+ X 10')
plot(L(1:z),x4(1:z),'.k','LineWidth',3,'MarkerSize',15)
hold on
plot(L(1:z),x5(1:z),'.k','LineWidth',3,'MarkerSize',15)
hold on
plot(L(1:z),x6(1:z),'.k','LineWidth',3,'MarkerSize',15)
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{eq} (cm^{-3})','fontsize',20)
xlabel('L (R_E)','fontsize',20)
set(gca,'XMinorTick','on');
set(gca,'YMinorTick','on','Yscale','log');
