close all
clear all

load Neq_GSK_Time2hrs.dat
load Neq_GSK_Time2hrs_wave3.dat
load Neq_GSK_Time2hrs_wave5.dat

load L_time_forward.dat
load L_time_forward2.dat

% from UT=7h to UT=14h
D=L_time_forward;
L=D(:,2);
L=L';
% from UT=12h to UT=14h
D2=L_time_forward2;
L2=D2(1:9,2);
L2=L2';

% from UT=12h to UT=14h,equatorial density in cm^-3, without wave perpendicular heating
den7=Neq_GSK_Time2hrs;

% equatorial density in cm^-3, with wave P=1e-10 from UT=12h to UT=14h
den8=Neq_GSK_Time2hrs_wave3;

% equatorial density in cm^-3, with wave P=1e-9 from UT=12h to UT=14h
den9=Neq_GSK_Time2hrs_wave5;

nstep=9;
UT0=12.0;   % start at UT=1.3 h

t=[12.0:0.25:14.0];
t=t';

NO7=den7(:,2);
NH7=den7(:,3);
NHe7=den7(:,4);
Ne7=den7(:,5);

NO8=den8(:,2);
NH8=den8(:,3);
NHe8=den8(:,4);
Ne8=den8(:,5);

NO9=den9(:,2);
NH9=den9(:,3);
NHe9=den9(:,4);
Ne9=den9(:,5);

xO7=NO7.*1.0e4;
xHe7=NHe7.*10;

xO8=NO8.*1.0e4;
xHe8=NHe8.*10;

xO9=NO9.*1.0e4;
xHe9=NHe9.*10;

mH=1.67e-27;   % kg
mO=16.0*mH;
mHe=4.0*mH;
me=9.11e-31;

kb=1.38e-23;    % m^2 kg s^-2 K^-1

% mass density 
mden7=NO7.*mO+NH7.*mH+NHe7.*mHe;
mden8=NO8.*mO+NH8.*mH+NHe8.*mHe;
mden9=NO9.*mO+NH9.*mH+NHe9.*mHe;

%   figure density
subplot(2,2,1)
plot(L2,NO7,'-r','LineWidth',3)
hold on
plot(L2,NO8,'--b','LineWidth',3)
hold on
plot(L2,NO9,'--g','LineWidth',3)
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{O^+eq} (cm^{-3})','fontsize',20)
xlabel('L (R_E)','fontsize',20)
set(gca,'XMinorTick','on');
set(gca,'YMinorTick','on','Yscale','log');
text(6.6,0.015,'(a)','fontsize',18)

subplot(2,2,2)
plot(L2,NH7,'-r','LineWidth',3)
hold on
plot(L2,NH8,'--b','LineWidth',3)
hold on
plot(L2,NH9,'--g','LineWidth',3)
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{H^+eq} (cm^{-3})','fontsize',20)
xlabel('L (R_E)','fontsize',20)
set(gca,'XMinorTick','on');
set(gca,'YMinorTick','on');
text(6.6,150,'(b)','fontsize',18)

subplot(2,2,3)
plot(L2,NHe7,'-r','LineWidth',3)
hold on
plot(L2,NHe8,'--b','LineWidth',3)
hold on
plot(L2,NHe9,'--g','LineWidth',3)
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('n_{He^+eq} (cm^{-3})','fontsize',20)
xlabel('L (R_E)','fontsize',20)
set(gca,'XMinorTick','on');
set(gca,'YMinorTick','on');
text(6.6,3,'(c)','fontsize',18)

subplot(2,2,4)
plot(L2,mden7,'-r','LineWidth',3)
hold on
plot(L2,mden8,'--b','LineWidth',3)
hold on
plot(L2,mden9,'--g','LineWidth',3)
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('\rho_{eq} (kg cm^{-3})','fontsize',20)
xlabel('L (R_E)','fontsize',20)
set(gca,'XMinorTick','on');
set(gca,'YMinorTick','on');
text(6.6,3.2e-25,'(d)','fontsize',18)
legend('without wave','with wave P_0=10^{-10}','with wave P_0=10^{-9}')