close all
clear all
load Den_GSK30.dat
load Vel_GSK30.dat
load Tpr_GSK30.dat
load Tpp_GSK30.dat

load MLAT_GSK30.dat
load ALT_GSK30.dat
load sg_GSK30.dat
load bfd_GSK30.dat

num=121;
nstep=145;
UT=[0:0.5:72];
UT=UT';

sg=sg_GSK30;       %  in Re
bfd=bfd_GSK30;     %  in Tesla
MLAT=MLAT_GSK30;
ALT=ALT_GSK30;

Den=Den_GSK30;
Vel=Vel_GSK30;
Tpr=Tpr_GSK30;
Tpp=Tpp_GSK30;

% density in cm^-3
NO=reshape(Den(:,1),num,nstep);
NO=NO';

NH=reshape(Den(:,2),num,nstep);
NH=NH';

NHe=reshape(Den(:,3),num,nstep);
NHe=NHe';

Ne=reshape(Den(:,4),num,nstep);
Ne=Ne';

% Parallel temperature 
TprO=reshape(Tpr(:,1),num,nstep);
TprO=TprO';

TprH=reshape(Tpr(:,2),num,nstep);
TprH=TprH';

TprHe=reshape(Tpr(:,3),num,nstep);
TprHe=TprHe';

Tpre=reshape(Tpr(:,4),num,nstep);
Tpre=Tpre';

% Perpendicular temperature 
TppO=reshape(Tpp(:,1),num,nstep);
TppO=TppO';

TppH=reshape(Tpp(:,2),num,nstep);
TppH=TppH';

TppHe=reshape(Tpp(:,3),num,nstep);
TppHe=TppHe';

Tppe=reshape(Tpp(:,4),num,nstep);
Tppe=Tppe';

% velocity in m/s
VO=reshape(Vel(:,1),num,nstep);
VO=VO';

VH=reshape(Vel(:,2),num,nstep);
VH=VH';

VHe=reshape(Vel(:,3),num,nstep);
VHe=VHe';

Ve=reshape(Vel(:,4),num,nstep);
Ve=Ve';

%  pressure
PO=(TprO+2.0*TppO)/3.0;
PO=PO.*NO;

PH=(TprH+2.0*TppH)/3.0;
PH=PH.*NH;

PHe=(TprHe+2.0*TppHe)/3.0;
PHe=PHe.*NHe;

Pe=(Tpre+2.0*Tppe)/3.0;
Pe=Pe.*Ne;

P2=log10(PO);    %  normalized pressure
Pmax=max(P2);
Pmax2=max(Pmax);
Pnor=P2./Pmax2; 

plot(sg,NH(2,:),'-b')
hold on
plot(sg,NH(12,:),'-r')

y=log10(NH);

%figure 1
subplot(1,2,1)
surface(sg,UT,z1,'EdgeColor','none')
%contour(sg,UT,y,15,'LineWidth',3)
%caxis([0,60000]) 
%xlabel('s (Re)','fontsize',20)
ylabel('UT (hour)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
%set(gca,'XMinorTick','on','YMinorTick','on')
set(gca,'fontsize',18,'LineWidth',3,'Xlim',[-4.5,4.5],'XTick',[-4.5:1.5:4.5])
set(gca,'Ylim',[0,72],'YTick',[0:6:72])
colorbar('LineWidth',3,'Fontsize',16)
box on
title('THe^+_{//} (K)','Fontsize',20)
hold on

%figure 2
subplot(1,2,2)
surface(sg,UT,z2,'EdgeColor','none')
%contour(sg,UT,y,15,'LineWidth',3)
%caxis([0,60000])  
xlabel('s (Re)','fontsize',20)
ylabel('UT (hour)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
%set(gca,'XMinorTick','on','YMinorTick','on')
set(gca,'fontsize',18,'LineWidth',3,'Xlim',[-4.5,4.5],'XTick',[-4.5:1.5:4.5])
set(gca,'Ylim',[0,72],'YTick',[0:6:72])
colorbar('LineWidth',3,'Fontsize',16)
box on
title('THe^+_{\perp} (K)','Fontsize',20)