!    This program is to plot the time variation of the average parallel and perpendicular temperature in GSK
!    Tave=sum(T(i)*(sg(i+1)-sg(i)))/s_length
!    2/28/2015 by Yan Wang
Program main
    
    implicit none

    integer, parameter:: num=100,nc=101,dt=90,nstep=15
    integer nst,LNBLNK,i,j,k,h
    character suff*6
    CHARACTER*256 :: WORKDIR

    real(8) denO(nc),velO(nc),tprO(nc),tppO(nc),qprO(nc),qppO(nc)
    real(8) denH(nc),velH(nc),tprH(nc),tppH(nc),qprH(nc),qppH(nc)
    real(8) denHe(nc),velHe(nc),tprHe(nc),tppHe(nc)
    real(8) qprHe(nc),qppHe(nc),alt(nc),GLL(nc)
    real(8) dene(nc),vele(nc),tpre(nc),tppe(nc),qpre(nc),qppe(nc)     

    real(8),dimension(nc):: rr,GLL_grid,alt_grid,sg,area,c_vol,gm,bfd,mirrf,Tco,Tch,Tche
    real(8) :: cf(nc,2)        
    real(8) :: tprO_sum,tppO_sum,tprH_sum,tppH_sum,tprHe_sum,tppHe_sum,tpre_sum,tppe_sum
    real(8),dimension(nstep) :: tprO_ave,tppO_ave,tprH_ave,tppH_ave,tprHe_ave,tppHe_ave,tpre_ave,tppe_ave
    real(8) :: s_length                    

! Get WORKDIR of current working directory
    CALL GETCWD(WORKDIR)

    open(101,file=WORKDIR(:LNBLNK(WORKDIR))//'/TprAve_GSK_Time.dat',status='unknown') !,form='unformatted')	
    open(102,file=WORKDIR(:LNBLNK(WORKDIR))//'/TppAve_GSK_Time.dat',status='unknown') !,form='unformatted')	   

   do j=1,nstep

         tprO_sum=0.0d0
         tppO_sum=0.0d0
         tprH_sum=0.0d0
         tppH_sum=0.0d0               
         tprHe_sum=0.0d0
         tppHe_sum=0.0d0      
         tpre_sum=0.0d0
         tppe_sum=0.0d0
         
         s_length=0.0d0               
   
          nst=(j-1)*dt
          write(suff,'(i6)') nst
          suff=adjustl(suff)

         denO=0.0d0; denH=0.0d0; denHe=0.0d0; dene=0.0d0
         velO=0.0d0; velH=0.0d0; velHe=0.0d0; vele=0.0d0
         tprO=0.0d0; tprH=0.0d0; tprHe=0.0d0; tpre=0.0d0
         tppO=0.0d0; tppH=0.0d0; tppHe=0.0d0; tppe=0.0d0

         if(j==1) then
            open(205,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/gskgrid-1.dat',status='old')
         else
            open(205,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/gskgrid-'//trim(suff)//'.dat', &
                    status='old')	  
         endif
         
         read(205,'(A)')
   !       '#','r(Re)','mlat','alt(km)','arc len(Re)','area(m^-2)', &
   !      'vol(m^-3)','g(Re/s^2)','Bfeild(T)','mirrf','cf1','cf2','Tco','Tch','Tche'
   ! Tco, Tch, & Tche are O+, H+, & He+ gyroperiod (sec)
         do i=1,nc
            read(205,'(i3,14es13.5)') h,rr(i),GLL_grid(i),alt_grid(i),sg(i),area(i),c_vol(i),gm(i), &
                                      bfd(i),mirrf(i),cf(i,1),cf(i,2),Tco(i),Tch(i),Tche(i)
         enddo
         close(205)          
                 
          open(201,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_O.'//suff(:LNBLNK(suff)), &
                    status='old') !,form='unformatted')	  
          open(202,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_H.'//suff(:LNBLNK(suff)), &
                    status='old') !,form='unformatted')
          open(203,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_He.'//suff(:LNBLNK(suff)), &
                    status='old') !,form='unformatted')
          open(204,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT/moments_e.'//suff(:LNBLNK(suff)), &
                    status='old') !,form='unformatted')

 
          do i=1,num
          !  moments are at the center of the cell
               read(201,'(8es14.5)') alt(i),GLL(i),denO(i),velO(i),tprO(i),tppO(i),qprO(i),qppO(i)
               read(202,'(8es14.5)') alt(i),GLL(i),denH(i),velH(i),tprH(i),tppH(i),qprH(i),qppH(i)
               read(203,'(8es14.5)') alt(i),GLL(i),denHe(i),velHe(i),tprHe(i),tppHe(i),qprHe(i),qppHe(i)
               read(204,'(8es14.5)') alt(i),GLL(i),dene(i),vele(i),tpre(i),tppe(i),qpre(i),qppe(i)
          enddo

          close(201)
          close(202)
          close(203)
          close(204)

          do i=1,num
               tprO_sum=tprO_sum+tprO(i)*(sg(i+1)-sg(i))
               tppO_sum=tppO_sum+tppO(i)*(sg(i+1)-sg(i))
               tprH_sum=tprH_sum+tprH(i)*(sg(i+1)-sg(i))
               tppH_sum=tppH_sum+tppH(i)*(sg(i+1)-sg(i))               
               tprHe_sum=tprHe_sum+tprHe(i)*(sg(i+1)-sg(i))
               tppHe_sum=tppHe_sum+tppHe(i)*(sg(i+1)-sg(i))      
               tpre_sum=tpre_sum+tpre(i)*(sg(i+1)-sg(i))
               tppe_sum=tppe_sum+tppe(i)*(sg(i+1)-sg(i))  
         enddo
         
         s_length=sg(nc)-sg(1)
         
         tprO_ave(j)=tprO_sum/s_length
         tppO_ave(j)=tppO_sum/s_length
         tprH_ave(j)=tprH_sum/s_length
         tppH_ave(j)=tppH_sum/s_length
         tprHe_ave(j)=tprHe_sum/s_length
         tppHe_ave(j)=tppHe_sum/s_length
         tpre_ave(j)=tpre_sum/s_length
         tppe_ave(j)=tppe_sum/s_length                            

   enddo

   call smoothp(tprO_ave,nstep)
   call smoothp(tppO_ave,nstep)
   call smoothp(tprH_ave,nstep)
   call smoothp(tppH_ave,nstep)
   call smoothp(tprHe_ave,nstep)
   call smoothp(tppHe_ave,nstep)

   do j=1,nstep
         write(101,'(i3,4es14.5)') j,tprO_ave(j),tprH_ave(j),tprHe_ave(j),tpre_ave(j)
         write(102,'(i3,4es14.5)') j,tppO_ave(j),tppH_ave(j),tppHe_ave(j),tppe_ave(j)
   enddo

   close(101)
   close(102)   

End program

!***********************************************************************
!***********************************************************************
!   SUBROUTINE LINTER(sg,Y,nc)
!    Linear interpolation and extrpolation
!    in order to get the moments at each grid point instead of the cell center
!***********************************************************************
SUBROUTINE LINTER(sg,Y,nc)
    implicit none
    INTEGER nc,num,i
    REAL(8) sg(NC),Y(NC),temp(NC)

    num=nc-1
    do i=2,num
        temp(i)=(sg(i+1)-sg(i))*Y(i-1)+(sg(i)-sg(i-1))*Y(i)
        temp(i)=temp(i)/(sg(i+1)-sg(i-1))
    enddo

    call LGRG(sg(2:6),temp(2:6),5,sg(1),temp(1))
    call LGRG(sg(num-4:num),temp(num-4:num),5,sg(nc),temp(nc))     

    Y=temp

END SUBROUTINE     

!***********************************************************************
!***********************************************************************
!   SUBROUTINE LGRG(X,Y,N,T,Z)
!    Eight-point Lagrange's interpolation and extrpolation
!    Given arrays X and Y, each of length N, and given a value of T,
!    this routine returns a value Z. The interpolation or extrapolation
!    is performed using lagrange's formula.
!***********************************************************************
SUBROUTINE LGRG(X,Y,N,T,Z)
    implicit none
    INTEGER N,I,J,K,M
    REAL(8) X(N),Y(N),T,Z,S

    Z=0.D0
    K=N-4
    M=N

    I=1
    DO WHILE (X(I).LT.T)
      I=I+1
      IF(I.GT.N) EXIT
    ENDDO

    K=I-4
    IF(K.LT.1) K=1
    M=I+3
    IF(M.GT.N) M=N

    DO I=K,M
      S=1.0d0
      DO J=K,M
        IF(J.NE.I) S=S*(T-X(J))/(X(I)-X(J))
      ENDDO
      Z=Z+S*Y(I)
    ENDDO

END SUBROUTINE

!-----------------------------------------------------------------------
!   Weighted 5-point average 04/30/98	X.Y.WU
!-----------------------------------------------------------------------
 subroutine smoothp(temp,n)
     implicit none
     integer n,i
     real(8) temp(n),tempt(n)

     tempt(1)=(3.0d0*temp(1)+2.0d0*temp(2)+temp(3))/6.0d0
     tempt(2)=(2.0d0*temp(1)+3.0d0*temp(2)+2.0d0*temp(3)+temp(4))/8.0d0
     do i=3,n-2
         tempt(i)=(temp(i-2)+2.0d0*temp(i-1)+3.0d0*temp(i)+2.*temp(i+1)+ &
                 temp(i+2))/9.0d0
     enddo
     tempt(n-1)=(2.0d0*temp(n)+3.0d0*temp(n-1)+2.*temp(n-2)+temp(n-3))/8.0d0
     tempt(n)=(3.0d0*temp(n)+2.*temp(n-1)+temp(n-2))/6.0d0

     do i=1,n
         temp(i)=tempt(i)
     enddo
end subroutine smoothp
   
