close all
clear all
load Den_GSK30.dat
load Vel_GSK30.dat
load Tpr_GSK30.dat
load Tpp_GSK30.dat

load MLAT_GSK30.dat
load ALT_GSK30.dat
load sg_GSK30.dat
load bfd_GSK30.dat

num=121;
nstep=145;
UT=[0:0.5:72];
UT=UT';

sg=sg_GSK30;       %  in Re
bfd=bfd_GSK30;     %  in Tesla
MLAT=MLAT_GSK30;
ALT=ALT_GSK30;

Den=Den_GSK30;
Vel=Vel_GSK30;
Tpr=Tpr_GSK30;
Tpp=Tpp_GSK30;

% density in cm^-3
NO=reshape(Den(:,1),num,nstep);
NO=NO';

NH=reshape(Den(:,2),num,nstep);
NH=NH';

NHe=reshape(Den(:,3),num,nstep);
NHe=NHe';

Ne=reshape(Den(:,4),num,nstep);
Ne=Ne';

% Parallel temperature 
TprO=reshape(Tpr(:,1),num,nstep);
TprO=TprO';

TprH=reshape(Tpr(:,2),num,nstep);
TprH=TprH';

TprHe=reshape(Tpr(:,3),num,nstep);
TprHe=TprHe';

Tpre=reshape(Tpr(:,4),num,nstep);
Tpre=Tpre';

% Perpendicular temperature 
TppO=reshape(Tpp(:,1),num,nstep);
TppO=TppO';

TppH=reshape(Tpp(:,2),num,nstep);
TppH=TppH';

TppHe=reshape(Tpp(:,3),num,nstep);
TppHe=TppHe';

Tppe=reshape(Tpp(:,4),num,nstep);
Tppe=Tppe';

% velocity in m/s
VO=reshape(Vel(:,1),num,nstep);
VO=VO';

VH=reshape(Vel(:,2),num,nstep);
VH=VH';

VHe=reshape(Vel(:,3),num,nstep);
VHe=VHe';

Ve=reshape(Vel(:,4),num,nstep);
Ve=Ve';

%  pressure
PO=(TprO+2.0*TppO)/3.0;
PO=PO.*NO;

PH=(TprH+2.0*TppH)/3.0;
PH=PH.*NH;

PHe=(TprHe+2.0*TppHe)/3.0;
PHe=PHe.*NHe;

Pe=(Tpre+2.0*Tppe)/3.0;
Pe=Pe.*Ne;

P2=log10(PO);    %  normalized pressure
Pmax=max(P2);
Pmax2=max(Pmax);
Pnor=P2./Pmax2; 


%figure 1
subplot(3,2,1)
plot(MLAT,TprO(5,:),'-r','LineWidth',2)
hold on
plot(MLAT,TprO(11,:),'-.b','LineWidth',2)
hold on
plot(MLAT,TprO(25,:),'--g','LineWidth',2)
hold on
plot(MLAT,TprO(71,:),'.m','MarkerSize',10)
hold on
plot(MLAT,TprO(145,:),'-k','LineWidth',2)
hold on
%legend('2 hrs','5 hrs','12 hrs','35 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('TO^+_{//} (K)','fontsize',20)
%xlabel('MLAT (degrees)','fontsize',20)
set(gca,'Xlim',[-60,60],'YScale','log');

%figure 2
subplot(3,2,2)
plot(MLAT,TppO(5,:),'-r','LineWidth',2)
hold on
plot(MLAT,TppO(11,:),'-.b','LineWidth',2)
hold on
plot(MLAT,TppO(25,:),'--g','LineWidth',2)
hold on
plot(MLAT,TppO(71,:),'.m','MarkerSize',10)
hold on
plot(MLAT,TppO(145,:),'-k','LineWidth',2)
hold on
legend('2 hrs','5 hrs','12 hrs','35 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
set(gca,'YMinorTick','on','Ylim',[10,1e5],'YTick',[10,1e2,1e3,1e4,1e5]);
ylabel('TO^+_{\perp} (K)','fontsize',20)
%xlabel('MLAT (degrees)','fontsize',20)
set(gca,'Xlim',[-60,60],'YScale','log');


%figure 3
subplot(3,2,3)
plot(MLAT,TprH(5,:),'-r','LineWidth',2)   % red solid line
hold on
plot(MLAT,TprH(11,:),'-.b','LineWidth',2)  % blue dash-dot line
hold on
plot(MLAT,TprH(25,:),'--g','LineWidth',2)  % green dashed line
hold on
plot(MLAT,TprH(71,:),'.m','MarkerSize',10)  % magenta dotted line
hold on
plot(MLAT,TprH(145,:),'-k','LineWidth',2)
hold on
%legend('2 hrs','5 hrs','12 hrs','35 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('TH^+_{//} (K)','fontsize',20)
%xlabel('MLAT (degrees)','fontsize',20)
set(gca,'Xlim',[-60,60],'YScale','log');

%figure 4
subplot(3,2,4)
plot(MLAT,TppH(5,:),'-r','LineWidth',2)
hold on
plot(MLAT,TppH(11,:),'-.b','LineWidth',2)
hold on
plot(MLAT,TppH(25,:),'--g','LineWidth',2)
hold on
plot(MLAT,TppH(71,:),'.m','MarkerSize',10)
hold on
plot(MLAT,TppH(145,:),'-k','LineWidth',2)
hold on
legend('2 hrs','5 hrs','12 hrs','35 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('TH^+_{\perp} (K)','fontsize',20)
%xlabel('MLAT (degrees)','fontsize',20)
set(gca,'Xlim',[-60,60],'YScale','log','Ylim',[100,1e5],'YTick',[1e2,1e3,1e4,1e5]);

%figure 5
subplot(3,2,5)
plot(MLAT,TprHe(5,:),'-r','LineWidth',2)
hold on
plot(MLAT,TprHe(11,:),'-.b','LineWidth',2)
hold on
plot(MLAT,TprHe(25,:),'--g','LineWidth',2)
hold on
plot(MLAT,TprHe(71,:),'.m','MarkerSize',10)
hold on
plot(MLAT,TprHe(145,:),'-k','LineWidth',2)
hold on
%legend('2 hrs','5 hrs','12 hrs','35 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('THe^+_{//} (K)','fontsize',20)
xlabel('MLAT (degrees)','fontsize',20)
set(gca,'Xlim',[-60,60],'YScale','log');

%figure 6
subplot(3,2,6)
plot(MLAT,TppHe(5,:),'-r','LineWidth',2)
hold on
plot(MLAT,TppHe(11,:),'-.b','LineWidth',2)
hold on
plot(MLAT,TppHe(25,:),'--g','LineWidth',2)
hold on
plot(MLAT,TppHe(71,:),'.m','MarkerSize',10)
hold on
plot(MLAT,TppHe(145,:),'-k','LineWidth',2)
hold on
legend('2 hrs','5 hrs','12 hrs','35 hrs','72 hrs')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('THe^+_{\perp} (K)','fontsize',20)
xlabel('MLAT (degrees)','fontsize',20)
set(gca,'Xlim',[-60,60],'YScale','log','Ylim',[100,1e5],'YTick',[1e2,1e3,1e4,1e5]);