close all
clear all
load Den_GSK40.dat
load Vel_GSK40.dat
load Tpr_GSK40.dat
load Tpp_GSK40.dat

load MLAT_GSK40.dat
load ALT_GSK40.dat
load sg_GSK40.dat
load bfd_GSK40.dat

num=101;
nstep=49;
UT=[0:1:48];
UT=UT';

sg=sg_GSK40;       %  in Re
bfd=bfd_GSK40;     %  in Tesla
MLAT=MLAT_GSK40;
ALT=ALT_GSK40;

Den=Den_GSK40;
Vel=Vel_GSK40;
Tpr=Tpr_GSK40;
Tpp=Tpp_GSK40;

% density in cm^-3
NO=reshape(Den(:,1),num,nstep);
NO=NO';

NH=reshape(Den(:,2),num,nstep);
NH=NH';

NHe=reshape(Den(:,3),num,nstep);
NHe=NHe';

Ne=reshape(Den(:,4),num,nstep);
Ne=Ne';

% Parallel temperature 
TprO=reshape(Tpr(:,1),num,nstep);
TprO=TprO';

TprH=reshape(Tpr(:,2),num,nstep);
TprH=TprH';

TprHe=reshape(Tpr(:,3),num,nstep);
TprHe=TprHe';

Tpre=reshape(Tpr(:,4),num,nstep);
Tpre=Tpre';

% Perpendicular temperature 
TppO=reshape(Tpp(:,1),num,nstep);
TppO=TppO';

TppH=reshape(Tpp(:,2),num,nstep);
TppH=TppH';

TppHe=reshape(Tpp(:,3),num,nstep);
TppHe=TppHe';

Tppe=reshape(Tpp(:,4),num,nstep);
Tppe=Tppe';

% velocity in m/s
VO=reshape(Vel(:,1),num,nstep);
VO=VO';

VH=reshape(Vel(:,2),num,nstep);
VH=VH';

VHe=reshape(Vel(:,3),num,nstep);
VHe=VHe';

Ve=reshape(Vel(:,4),num,nstep);
Ve=Ve';

%  pressure
TO=(TprO+2.0*TppO)/3.0;
PO=TO.*NO;

TH=(TprH+2.0*TppH)/3.0;
PH=TH.*NH;

THe=(TprHe+2.0*TppHe)/3.0;
PHe=THe.*NHe;

Te=(Tpre+2.0*Tppe)/3.0;
Pe=Te.*Ne;

P2=log10(PO);    %  normalized pressure
Pmax=max(P2);
Pmax2=max(Pmax);
Pnor=P2./Pmax2; 
%figure 1
y=log10(NO);
subplot(3,2,1)

%surface(sg,UT,y,'EdgeColor','none')
contour(MLAT,UT,y,9,'LineWidth',3)
%caxis([-3,5])
%xlabel('MLAT (degree)','fontsize',20)
ylabel('Time (hrs)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'XMinorTick','on')
set(gca,'Xlim',[-60,60],'Ylim',[0,48],'YTick',[0:12:48],'XTick',[-60:20:60])
colorbar('LineWidth',3,'Fontsize',16)
box on
text(-15,52,'n_{O^+}(cm^{-3})','Fontsize',18)
hold on
%figure 3
subplot(3,2,3)
y=log10(NH);

%surface(MLAT,UT,y,'EdgeColor','none')
contour(MLAT,UT,y,35,'LineWidth',3)
%caxis([0,4])
%xlabel('MLAT (degree)','fontsize',20)
ylabel('Time (hrs)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'XMinorTick','on')
set(gca,'Xlim',[-60,60],'Ylim',[0,48],'YTick',[0:12:48],'XTick',[-60:20:60])
colorbar('LineWidth',3,'Fontsize',16)
box on
text(-15,52,'n_{H^+}(cm^{-3})','Fontsize',18)
hold on

%figure 5
subplot(3,2,5)
y=log10(NHe);
%surface(sg,UT,Pnor)
%surface(MLAT,UT,y,'EdgeColor','none')
contour(MLAT,UT,y,15,'LineWidth',3)
%caxis([0,4])
xlabel('MLAT (degree)','fontsize',20)
ylabel('Time (hrs)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'XMinorTick','on')
set(gca,'Xlim',[-60,60],'Ylim',[0,48],'YTick',[0:12:48],'XTick',[-60:20:60])
colorbar('LineWidth',3,'Fontsize',16)
box on
text(-15,52,'n_{He^+}(cm^{-3})','Fontsize',18)
hold on

%figure 2
subplot(3,2,2)
%surface(sg,UT,Pnor)
surface(MLAT,UT,VO,'EdgeColor','none')
%contour(MLAT,UT,y,8,'LineWidth',3)
caxis([-1000,1000])
%xlabel('MLAT (degree)','fontsize',20)
%ylabel('Time (hrs)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'XMinorTick','on')
set(gca,'Xlim',[-60,60],'Ylim',[0,48],'YTick',[0:12:48],'XTick',[-60:20:60])
colorbar('LineWidth',3,'Fontsize',16)
box on
text(-15,52,'V_{O^+} (m/s)','Fontsize',18)
hold on
%figure 4
subplot(3,2,4)
%surface(sg,UT,Pnor)
surface(MLAT,UT,VH,'EdgeColor','none')
%contour(MLAT,UT,y,30,'LineWidth',3)
caxis([-1000,1000])
%xlabel('MLAT (degree)','fontsize',20)
%ylabel('Time (hrs)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'XMinorTick','on')
set(gca,'Xlim',[-60,60],'Ylim',[0,48],'YTick',[0:12:48],'XTick',[-60:20:60])
colorbar('LineWidth',3,'Fontsize',16)
box on
text(-15,52,'V_{H^+} (m/s)','Fontsize',18)
hold on

%figure 6
subplot(3,2,6)
%surface(sg,UT,Pnor)
surface(MLAT,UT,VHe,'EdgeColor','none')
%contour(MLAT,UT,y,20,'LineWidth',3)
caxis([-500,500])
xlabel('MLAT (degree)','fontsize',20)
%ylabel('Time (hrs)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'XMinorTick','on')
set(gca,'Xlim',[-60,60],'Ylim',[0,48],'YTick',[0:12:48],'XTick',[-60:20:60])
colorbar('LineWidth',3,'Fontsize',16)
box on
text(-15,52,'V_{He^+} (m/s)','Fontsize',18)
